# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TRowSet

Packages that use TRowSet
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.common.util
com.databricks.jdbc.model.client.thrift.generated

## Uses of TRowSet in com.databricks.jdbc.api.impl

Constructors in com.databricks.jdbc.api.impl with parameters of type TRowSet
Modifier
Constructor
Description
``
`ColumnarRowView(TRowSet rowSet)`

## Uses of TRowSet in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util with parameters of type TRowSet
Modifier and Type
Method
Description
`static ColumnarRowView`
DatabricksThriftUtil.`createColumnarView(TRowSet rowSet)`
Memory-efficient alternative that creates a columnar view instead of materializing all rows.
`static List<List<Object>>`
DatabricksThriftUtil.`extractRowsFromColumnar(TRowSet rowSet)`
This functions extracts columnar data from a RowSet into rows
`static long`
DatabricksThriftUtil.`getRowCount(TRowSet resultData)`

## Uses of TRowSet in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TRowSet
Modifier and Type
Class
Description
`class`
`TRowSet`
`class`
`TRowSet`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TRowSet
Modifier and Type
Field
Description
`TRowSet`
TFetchResultsResp.`results`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TRowSet
Modifier and Type
Method
Description
`TRowSet`
TRowSet.`deepCopy()`
`TRowSet`
TFetchResultsResp.`getResults()`
`TRowSet`
TRowSet.`setArrowBatches(List<TSparkArrowBatch> arrowBatches)`
`TRowSet`
TRowSet.`setBinaryColumns(byte[] binaryColumns)`
`TRowSet`
TRowSet.`setBinaryColumns(ByteBuffer binaryColumns)`
`TRowSet`
TRowSet.`setColumnCount(int columnCount)`
`TRowSet`
TRowSet.`setColumns(List<TColumn> columns)`
`TRowSet`
TRowSet.`setResultLinks(List<TSparkArrowResultLink> resultLinks)`
`TRowSet`
TRowSet.`setRows(List<TRow> rows)`
`TRowSet`
TRowSet.`setStartRowOffset(long startRowOffset)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TRowSet
Modifier and Type
Method
Description
`int`
TRowSet.`compareTo(TRowSet other)`
`boolean`
TRowSet.`equals(TRowSet that)`
`TFetchResultsResp`
TFetchResultsResp.`setResults(TRowSet results)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TRowSet
Modifier
Constructor
Description
``
`TRowSet(TRowSet other)`
Performs a deep copy on other.